<?php
/**
* @package JoomlApero
* @copyright Copyright (C) 2006 Boswachter. All rights reserved.
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

if (file_exists($mosConfig_absolute_path."/administrator/components/com_joomlapero/languages/$mosConfig_lang.php"))
{
	require_once( $mosConfig_absolute_path."/administrator/components/com_joomlapero/languages/$mosConfig_lang.php" );
} else {
	require_once( $mosConfig_absolute_path."/administrator/components/com_joomlapero/languages/english.php" );
}

require_once( $mainframe->getPath( 'admin_html' ) );

$client = mosGetParam( $_REQUEST, 'client', '' );
$cid = mosGetParam( $_POST, 'cid', array(0) );
$id = intval( mosGetParam( $_REQUEST, 'id', 0 ) );
$moduleid = mosGetParam( $_REQUEST, 'moduleid', null );
$option = mosGetParam($_REQUEST, 'option', '');

switch (strtolower($task)) {
	case "manage":
			showAllAperos();
			break;
	case "about":
			showabout();
			break;
	case "help":
			showhelp();
			break;
	case "publish":
	case "unpublish":
			publishApero( $cid, ($task == 'publish'), $option, $client );
			showAllAperos();
			break;
	case "edit":
			editRC($option, $cid[0], $client, $task, $act );
			break;
	case "save":
	case "apply":
			SaveApply();
			if ($task=="save")
			{
				ShowAllAperos();
			}
			break;
	case "cancel":
			showAllAperos();
			break;
	case "new":
			editRC($option, -1, $client, $task, $act );
			break;
	case "remove":
			RemoveAperos($cid);
			showAllAperos();
			break;
	case "configuration":
			ShowConfiguration();
			break;

	default:
			showAllAperos();
}

function GetUser($id){
	global $database;
	$query = "SELECT *"
	. "\n FROM #__users"
	. "\n WHERE id = $id";
	$database->setQuery( $query );
	$id_user = $database->loadObjectList();
	return $id_user;
}


function SaveApply() {
global $database;
	$host=$user[0]->name;
	$place=$_REQUEST['edtPlace'];
	$place = strip_tags( $place );
	$place = nl2br( $place );
	$place = (! get_magic_quotes_gpc () ? addslashes ($place) : $place );
	$comments=$_REQUEST['edtComments'];
	$comments = strip_tags( $comments );
	$comments = nl2br( $comments );
	$comments = (! get_magic_quotes_gpc () ? addslashes( $comments ) : $comments );
	$host_id = $_REQUEST['host_id'];
	$rhost=getUser($host_id);
	$host=$rhost[0]->username;
	$host_id=$rhost[0]->id;
	
	$ipaddr=$_SERVER['REMOTE_ADDR'];
	$id=$_REQUEST['id'];
	if ( $id>0 ) {
		$query = "UPDATE #__apero SET "
		." comments = '" . $_REQUEST['edtComments'] ."',"
		." date = '". $_REQUEST['edtDate']  ."',"
		." time = '". $_REQUEST['edtTime']  ."',"
		." place = '". $_REQUEST['edtPlace']  ."',"
		." url = '". $_REQUEST['edtURL']  ."',"
		." max_guests = '". $_REQUEST['edtMaxGuests']  ."',"
		." city = '". $_REQUEST['edtCity']  ."', "
		." ip_address = '". $ipaddr ."' "
//		." state = '". $edtState ."',"
//		." host = '". $edtDate ."',"
//		." host_id = '". $edtDate ."'"
		." WHERE id =  ". $_REQUEST['id'] ." limit 1;";
	}
	else
	{
		$query = "INSERT INTO #__apero"
		. "\n ( `id`, `date` , `time` , `place` , `url` , `max_guests` , `city` , `state` , `comments`, `host`, `host_id`, `published`, `ip_address` )"
		. "VALUES ("
		. "NULL, "
		. "'".$_REQUEST['edtDate']. "', "
		. "'".$_REQUEST['edtTime']. "', "
		. "'".$place. "', "
		. "'".$_REQUEST['edtURL']. "', "
		. "'".$_REQUEST['edtMaxGuests']. "', "
		. "'".$_REQUEST['edtCity']. "', "
		. "'".$_REQUEST['edtState']."', "
		. "'".$comments. "',"
		. "'".$host. "',"
		. "'".$host_id. "', "
		. "'"._JA_AUTOPUBLISH."', "
		. "'".$ipaddr."')"; 

	}
	$database->setQuery( $query );
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}
}

function RemoveAperos($cid=null) {
global $database;
	$cids = implode( ',', $cid );

	$query = "DELETE FROM #__apero"
	. "\n WHERE id IN ( $cids )"
	;
	$database->setQuery( $query );
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}

	$query = "DELETE FROM #__apero_subscr"
	. "\n WHERE apero_id IN ( $cids )"
	;
	$database->setQuery( $query );
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}
	mosRedirect( 'index2.php?option=com_joomlapero');

}

function ShowConfiguration() {
	HTML_apero::ShowConfig();
}

function editRC($option, $id, $client, $task, $act ) {
	global $database, $mosConfig_live_site, $my, $mosConfig_sitename, $mosConfig_absolute_path;
	if ($id>0) {
		$database->setQuery( "SELECT * FROM #__apero where id = $id limit 1;");
		$rows = $database->loadObjectList();
	}
	else
	{
		$database->setQuery( "SELECT * FROM #__apero where id = $id limit 1;");
		$rows = $database->loadObjectList();
		$rows[0]->id=$id;
	}
	HTML_apero::ShowHeaderRC();
	HTML_apero::EditApero($option, &$rows, $client );
	HTML_apero::ShowFooterRC();            
}

function showabout() {
	HTML_apero::ShowHeaderRC();
	HTML_apero::joomlAperoAbout(true);
	HTML_apero::ShowFooterRC();            
}

function showhelp() {
	HTML_apero::ShowHeaderRC();
	HTML_apero::joomlAperoHelp(true);
	HTML_apero::ShowFooterRC();            
}

function showAllAperos(){
	global $database, $mosConfig_live_site, $my, $mosConfig_sitename, $mosConfig_absolute_path, $option, $mainframe;

	$limit = intval( $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', $mosConfig_list_limit ) );
	$limitstart = intval( $mainframe->getUserStateFromRequest( "view{$option}limitstart", 'limitstart', 0 ) );
	// get the total number of records
	$query = "SELECT COUNT(*)"
	. "\n FROM #__apero AS m"
	;
	$database->setQuery( $query );
	$total = $database->loadResult();
	require_once( $mosConfig_absolute_path . '/administrator/includes/pageNavigation.php' );
	$pageNav = new mosPageNav( $total, $limitstart, $limit );

	$query = "SELECT * FROM #__apero"
		. "\n LIMIT $pageNav->limitstart, $pageNav->limit";
	$database->setQuery( $query );
	$rows = $database->loadObjectList();
	HTML_apero::ShowHeaderRC();
	HTML_apero::showAllAperos( $option, &$rows, &$clist, &$search, &$pageNav, $bigMsg='' );
	HTML_apero::ShowFooterRC();            
}

function publishApero( $cid=null, $publish=1, $option, $client ) {
	global $database, $my, $option, $client;
	if (count( $cid ) < 1) {
		$action = $publish ? 'publish' : 'unpublish';
		echo "<script> alert('"._JA_SELECT."$action'); window.history.go(-1);</script>\n";
		exit;
	}
	$cids = implode( ',', $cid );
	$query = "UPDATE #__apero"
	. "\n SET published = " . intval( $publish )
	. "\n WHERE id IN ( $cids )"
	;
	$database->setQuery( $query );
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}
	mosRedirect( 'index2.php?option='. $option .'&client='. $client );
}

function saveRC( $id, $option, $client, $txtcomment, $txtrawtext) {
	global $database, $my;
	echo "<script> alert('saving $txtcomment'); </script>\n";
	$cids = implode( ',', $cid );
	echo "<script> alert('$txtcomment'); window.history.go(-1); </script>";
	if (!$database->query()) {
		echo "<script> alert('".$database->getErrorMsg()."'); window.history.go(-1); </script>\n";
		exit();
	}
	mosRedirect( 'index2.php?option='. $option .'&client='. $client );
}
?>